SND_SOC_CODEC_SET_SY(9)

NAME
snd_soc_codec_set_sysclk - configure CODEC system or master clock.

SYNOPSIS

int snd_soc_codec_set_sysclk(struct snd_soc_codec * codec, int clk_id, int source, unsigned int freq, int dir);

ARGUMENTS

codec
    CODEC

clk_id
    DAI specific clock ID

source
    Source for the clock

freq
    new clock frequency in Hz

dir
    new clock direction - input/output.

DESCRIPTION

Configures the CODEC master (MCLK) or system (SYSCLK) clocking.

COPYRIGHT